RHEL4 on Thinkpad T43p (T43 too)

Sleeping

First problem, sleeping, the SATA bridge doesn\'t sleep properly and therefore doesn\'t come back after resume. The infamous SATA ACPI patch at http://lkml.org/lkml/2005/9/23/97 seems to have solved this for me. I added the patch to the latest FC4 rpm and renamed (to be polite). See the RPMS and SRPMS sections below. The FC4 kernel doesn\'t have the suspend2 patch applied, I am going to try and apply that patch as well and rebuild the kernel rpm...will post if successful. Video doesn\'t return properly after sleeping (screen garbled), add this to kernel line in grub.conf
acpi_sleep=s3_bios
I build an rpm of laptop-mode-tools, but I didn\'t find the defaults useful, I built an rpm of my own settings which works better for me...(I like the machine to sleep when I close the lid). Patch to laptop-mode-tools:
diff -uNr laptop-mode-tools-1.11.orig/etc/acpi/actions/lm_lid.sh laptop-mode-tools-1.11/etc/acpi/actions/lm_lid.sh
--- laptop-mode-tools-1.11.orig/etc/acpi/actions/lm_lid.sh      2004-10-27 02:32:15.000000000 -0400
+++ laptop-mode-tools-1.11/etc/acpi/actions/lm_lid.sh   2005-12-01 16:39:17.420028171 -0500
@@ -1,7 +1,7 @@
#!/bin/bash

-test -f /usr/sbin/laptop_mode || exit 0
+test -f /usr/sbin/laptop_sleep || exit 0

# lid button pressed/released event handler

-/usr/sbin/laptop_mode auto
+/usr/sbin/laptop_sleep
diff -uNr laptop-mode-tools-1.11.orig/usr/sbin/laptop_sleep laptop-mode-tools-1.11/usr/sbin/laptop_sleep
--- laptop-mode-tools-1.11.orig/usr/sbin/laptop_sleep   1969-12-31 19:00:00.000000000 -0500
+++ laptop-mode-tools-1.11/usr/sbin/laptop_sleep        2005-12-01 16:46:50.622396298 -0500
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+if [ ! -f /usr/sbin/laptop_mode ]; then
+       exit 1
+fi
+
+/usr/sbin/laptop_mode auto
+
+# put system to sleep
+hwclock --systohc
+echo mem > /sys/power/state
+hwclock --hctosys

Presentation on Projector

To give a presentation on a projector that cannot display 1600x1200, you need to add some metamodes to your xorg.conf. Add these lines to your xorg.conf in Device Section of radeon
Option "MonitorLayout" "LVDS,CRT"
Option "MergedFB" "true"
Option "DDCMode" "on"
Option "RenderAccel" "on"
Option  "MetaModes" "1600x1200-1600x1200 1400x1050-1400x1050 1280x1024-1280x1024 1024x768-1024x768"
Option "CRT2Position" "Clone"
Option "CRT2HSync" "32.4-90.0"
Option "CRT2VRefresh" "60.0-100.0"
With these you can use xrandr to drop your display down to 1280x1024 or 1024x768 depending on the projector. This configuration works for me in the dock also (there are some links on thinkwiki that seem to suggest it shouldn\'t.) Other xorg.conf options that help are:
Option "AGPMode" "4"
Option "EnablePageFlip" "on"
Option "DynamicClocks" "on"
My xorg.conf. (T43p) xorg.conf for T43 (uses intel 915, had to use vesa driver to get video after sleep) Some T43\'s have ATI cards, use the xorg.conf for the T43p and then reduce the size, don\'t forget acpi_sleep=s3bios! (only for ATI cards)

Synaptics Mouse Pad

The Mouse pad works out of the box, I got the following configuration from Josko Plazonic, it turns the synaptics into a scroll/wheel mouse.
Section "InputDevice"
Identifier  "Mouse0"
Driver      "synaptics"
Option	    "Protocol" "auto-dev"
Option	    "Device" "/dev/input/mouse0"
Option	"LeftEdge" 	"1700"
Option	"RightEdge" 	"5300"
Option	"TopEdge"	"1700"
Option	"BottomEdge"	"4200"
Option	"FingerLow"	"25"
Option	"FingerHigh"	"30"
Option	"MaxTapTime"	"180"
Option	"VertScrollDelta"	"100"
Option	"HorizScrollDelta"	"1200"
Option	"MinSpeed"	"0.06"
Option	"MaxSpeed"	"0.12"
Option	"AccelFactor"	"0.0010"
Option	"SHMConfig"	"on"
EndSection
He\'s done some work there getting the settings just right, the only change I made of interest is using /dev/input/mice for the other mouse (CorePointer device), that way I can use the nub and an external mouse simultaneously.

RPMS

ipw2200-firmware-2.2-3.PU_IAS.2.noarch.rpm kernel-2.6.14-1.1644_PU_IAS.uphill.i686.rpm kernel-devel-2.6.14-1.1644_PU_IAS.uphill.i686.rpm laptop-mode-tools-1.11-1.PU_IAS.3.noarch.rpm

SRPMS

ipw2200-firmware-2.4-1.PU_IAS.1.src.rpm kernel-2.6.14-1.1644_PU_IAS.uphill.src.rpm laptop-mode-tools-1.11-1.PU_IAS.3.src.rpm